%define name            javagroups
%define version         2.1.1
%define release         1jpp
%define section         free

Summary:        Multicast communication toolkit
Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          0
Group:          Development/Java
License:        LGPL
URL:            http://www.javagroups.com/
BuildArch:      noarch
Source0:        http://download.sf.net/javagroups/JavaGroups-2.1.1.src.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Vendor:         JPackage Project
Distribution:   JPackage
Requires:       bsh
Requires:       concurrent
Requires:       jaxp_parser_impl
Requires:       jms
Requires:       log4j
BuildRequires:  ant
BuildRequires:  bsh
BuildRequires:  concurrent
BuildRequires:  jaxp_parser_impl
BuildRequires:  jms
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  log4j

%description
JavaGroups is a toolkit for reliable multicast communication.  It can be
used to create groups of processes whose members can send messages to
each other.

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%package demo
Group:          Development/Java
Summary:        Demos for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n JavaGroups-%{version}.src
find . -type f -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=$(build-classpath bsh concurrent jaxp_parser_impl jms log4j xml-commons-apis)
ant -Dbuild.compiler=modern jar
ant -Dbuild.compiler=modern javadoc

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d $RPM_BUILD_ROOT%{_javadir}
install dist/javagroups-core.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/

# demo
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}
cp dist/javagroups-demo.jar dist/javagroups-test.jar \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc CREDITS INSTALL.html README doc
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}

%changelog
* Thu Jan 22 2004 David Walluck <david@anti-microsoft.org> 0:2.1.1-1jpp
- 2.1.1
- add epoch

* Tue May 06 2003 David Walluck <david@anti-microsoft.org> 0:2.0.6-1jpp
- 2.0.6
- update for JPackage 1.5

* Sat Nov  2 2002 Ville Skytt <ville.skytta at iki.fi> 2.0.3-1jpp
- Update to 2.0.3.

* Sun Sep  8 2002 Ville Skytt <ville.skytta at iki.fi> 2.0.2-1jpp
- First JPackage release.
